﻿using System;
using System.Windows;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;
using System.Collections.ObjectModel;

namespace WmtsTiledOverlaySample
{
    public partial class Sample : Window
    {
        public Sample()
        {
            InitializeComponent();
        }

        private void LayoutRoot_Loaded(object sender, RoutedEventArgs e)
        {
            Map1.MapUnit = GeographyUnit.Meter;
            Map1.CurrentExtent = new RectangleShape(-13443125.7786207, 8590294.34761932, 5811656.99599761, -2954748.1696823);
            WmtsTiledOverlay wmtsTiledOverlay = new WmtsTiledOverlay(new Collection<Uri> { new Uri("http://server.caris.com/spatialfusionserver/services/ows/wmts/NaturalEarth/") });
            wmtsTiledOverlay.WmtsSeverEncodingType = WmtsSeverEncodingType.Restful;
            wmtsTiledOverlay.Parameters.Add("LAYER", "newworld");
            wmtsTiledOverlay.Parameters.Add("STYLE", "default");
            wmtsTiledOverlay.Parameters.Add("FORMAT", "image/png");
            wmtsTiledOverlay.Parameters.Add("TileMatrixSet", "GoogleMapsCompatible");
            wmtsTiledOverlay.InitializeConnection();

            Map1.Overlays.Add(wmtsTiledOverlay);
            Map1.Refresh();
        }

        private void btnVisitKVPServer_Click(object sender, RoutedEventArgs e)
        {
            Map1.CurrentExtent = new RectangleShape(-13685148.3015252, 5216681.83506644, -13666344.8036931, 5205407.38006548);
            WmtsTiledOverlay wmtsTiledOverlay = new WmtsTiledOverlay(new Collection<Uri> { new Uri("http://v2.suite.opengeo.org/geoserver/gwc/service/wmts/") });
            wmtsTiledOverlay.WmtsSeverEncodingType = WmtsSeverEncodingType.Kvp;
            wmtsTiledOverlay.Parameters.Add("LAYER", "medford:buildings");
            wmtsTiledOverlay.Parameters.Add("STYLE", "_null");
            wmtsTiledOverlay.Parameters.Add("FORMAT", "image/png");
            wmtsTiledOverlay.Parameters.Add("TileMatrixSet", "EPSG:900913");
            wmtsTiledOverlay.InitializeConnection();

            Map1.Overlays.Clear();
            Map1.Overlays.Add(wmtsTiledOverlay);
            Map1.Refresh();
        }

        private void btnVisitRESTfulServer_Click(object sender, RoutedEventArgs e)
        {
            Map1.CurrentExtent = new RectangleShape(-13443125.7786207, 8590294.34761932, 5811656.99599761, -2954748.1696823);
            WmtsTiledOverlay wmtsTiledOverlay = new WmtsTiledOverlay(new Collection<Uri> { new Uri("http://server.caris.com/spatialfusionserver/services/ows/wmts/NaturalEarth/") });
            wmtsTiledOverlay.WmtsSeverEncodingType = WmtsSeverEncodingType.Restful;
            wmtsTiledOverlay.Parameters.Add("LAYER", "newworld");
            wmtsTiledOverlay.Parameters.Add("STYLE", "default");
            wmtsTiledOverlay.Parameters.Add("FORMAT", "image/png");
            wmtsTiledOverlay.Parameters.Add("TileMatrixSet", "GoogleMapsCompatible");
            wmtsTiledOverlay.InitializeConnection();

            Map1.Overlays.Clear();
            Map1.Overlays.Add(wmtsTiledOverlay);
            Map1.Refresh();
        }
    }
}

